Loading...
Searching...
No Matches
Foundation.h File Reference
`#include <Alembic/AbcCoreAbstract/All.h>`
`#include <Alembic/Util/All.h>`
`#include <ImathVec.h>`
`#include <ImathBox.h>`
`#include <ImathMatrix.h>`
`#include <ImathQuat.h>`
`#include <ImathColor.h>`
`#include <iostream>`
`#include <string>`
`#include <exception>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <assert.h>`
Include dependency graph for Foundation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Alembic
| Alembic namespace ...
namespace | Alembic::Abc
namespace | Alembic::Abc::ALEMBIC_VERSION_NS

## Typedefs

typedef V3f | Alembic::Abc::ALEMBIC_VERSION_NS::N3f
typedef V3d | Alembic::Abc::ALEMBIC_VERSION_NS::N3d

## Enumerations

enum | Alembic::Abc::ALEMBIC_VERSION_NS::SchemaInterpMatching { Alembic::Abc::ALEMBIC_VERSION_NS::kStrictMatching , Alembic::Abc::ALEMBIC_VERSION_NS::kNoMatching , Alembic::Abc::ALEMBIC_VERSION_NS::kSchemaTitleMatching }
enum | Alembic::Abc::ALEMBIC_VERSION_NS::WrapExistingFlag { Alembic::Abc::ALEMBIC_VERSION_NS::kWrapExisting }
enum | Alembic::Abc::ALEMBIC_VERSION_NS::TopFlag { Alembic::Abc::ALEMBIC_VERSION_NS::kTop }
enum | Alembic::Abc::ALEMBIC_VERSION_NS::SparseFlag { Alembic::Abc::ALEMBIC_VERSION_NS::kFull , Alembic::Abc::ALEMBIC_VERSION_NS::kSparse }

## Functions

AbcA::CompoundPropertyWriterPtr | Alembic::Abc::ALEMBIC_VERSION_NS::GetCompoundPropertyWriterPtr (AbcA::CompoundPropertyWriterPtr iPtr)
AbcA::CompoundPropertyReaderPtr | Alembic::Abc::ALEMBIC_VERSION_NS::GetCompoundPropertyReaderPtr (AbcA::CompoundPropertyReaderPtr iPtr)
AbcA::ObjectWriterPtr | Alembic::Abc::ALEMBIC_VERSION_NS::GetObjectWriterPtr (AbcA::ObjectWriterPtr iPtr)
AbcA::ObjectReaderPtr | Alembic::Abc::ALEMBIC_VERSION_NS::GetObjectReaderPtr (AbcA::ObjectReaderPtr iPtr)
AbcA::ArchiveWriterPtr | Alembic::Abc::ALEMBIC_VERSION_NS::GetArchiveWriterPtr (AbcA::ArchiveWriterPtr iPtr)
AbcA::ArchiveReaderPtr | Alembic::Abc::ALEMBIC_VERSION_NS::GetArchiveReaderPtr (AbcA::ArchiveReaderPtr iPtr)